#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,480,600,720,840,880,920,960,1440,1920
 * N : 25,480,600,720,840,880,920,960,1440,1920
 * NB : 8,8,8,12,8,8,8,20,16,56
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 660) (nb_) = 8; \
   else if ((n_) < 780) (nb_) = 12; \
   else if ((n_) < 940) (nb_) = 8; \
   else if ((n_) < 1200) (nb_) = 20; \
   else if ((n_) < 1680) (nb_) = 16; \
   else (nb_) = 56; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
