#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,300,360,540,1080,2160,2700,3240,4380
 * N : 25,120,240,300,360,540,1080,2160,2700,3240,4380
 * NB : 4,60,12,60,60,60,60,60,60,120,180
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 180) (nb_) = 60; \
   else if ((n_) < 270) (nb_) = 12; \
   else if ((n_) < 2970) (nb_) = 60; \
   else if ((n_) < 3810) (nb_) = 120; \
   else (nb_) = 180; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
